org.apache.maven.plugin.install

## Class InstallRequest

- java.lang.Object
- - org.apache.maven.plugin.install.InstallRequest

-     public class InstallRequest
      extends Object

  Since:
    2.5.1
  Author:
    Robert Scholte

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.maven.project.MavenProject` | `getProject()`
    `boolean` | `isCreateChecksum()`
    `boolean` | `isUpdateReleaseInfo()`
    `InstallRequest` | `setCreateChecksum(boolean createChecksum)`
    `InstallRequest` | `setProject(org.apache.maven.project.MavenProject project)`
    `InstallRequest` | `setUpdateReleaseInfo(boolean updateReleaseInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallRequest

          public InstallRequest()

  - ### Method Detail

    - #### isCreateChecksum

          public boolean isCreateChecksum()

      Returns:
        the createChecksum

    - #### setCreateChecksum

          public InstallRequest setCreateChecksum(boolean createChecksum)

      Parameters:
        `createChecksum` - the createChecksum to set

    - #### isUpdateReleaseInfo

          public boolean isUpdateReleaseInfo()

      Returns:
        the updateReleaseInfo

    - #### setUpdateReleaseInfo

          public InstallRequest setUpdateReleaseInfo(boolean updateReleaseInfo)

      Parameters:
        `updateReleaseInfo` - the updateReleaseInfo to set

    - #### getProject

          public org.apache.maven.project.MavenProject getProject()

      Returns:
        the project

    - #### setProject

          public InstallRequest setProject(org.apache.maven.project.MavenProject project)

      Parameters:
        `project` - the project to set

Copyright © 2004–2015. All rights reserved.